{% extends "base.html" %}

{% block content %}
    <h1>Edit Profile</h1>
    <form method="post" enctype="multipart/form-data" id="edit-profile-form">
        {{ form.hidden_tag() }}
        <div id="edit-profile-div">
            <img src="{{ url_for('auth.get_avatar', email=member.email) }}">
            <div>
                {{ form.avatar.label }} {{ form.avatar() }}
            </div>
            <div>
                {{ form.name.label }} {{ form.name() }}
            </div>
            <div>
                {% if member.group.groupname != 'root' and current_user.group.can_modify_other_user(member.group) %}
                    {{ form.password.label }} {{ form.password() }}
                {% endif %}
            </div>
        </div>
        {{ form.submit() }}
    </form>
{% endblock %}